package com.ruoyi.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gexin.rp.sdk.base.IPushResult;
import com.gexin.rp.sdk.base.impl.AppMessage;
import com.gexin.rp.sdk.base.impl.ListMessage;
import com.gexin.rp.sdk.base.impl.Target;
import com.gexin.rp.sdk.exceptions.RequestException;
import com.gexin.rp.sdk.http.IGtPush;
import com.gexin.rp.sdk.template.NotificationTemplate;
import com.gexin.rp.sdk.template.TransmissionTemplate;
import com.gexin.rp.sdk.template.style.Style0;

import java.util.ArrayList;
import java.util.List;

/**
 * 消息推送
 */
public class PushUtil {
    private final static String appId = "mcchnSrhBP9zRvamSAiMO9";
    private final static String appKey = "NhbcDNy541ALTopfixskC2";
    private final static String masterSecret = "weqJivey6t7CQJa26PeaG4";
    private final static String host = "http://sdk.open.api.igexin.com/apiex.htm";


    /**
     * @param title     消息标题 例如家族消息
     * @param text      消息内容 例如余震申请加入陕西凤翔余姓家族
     * @param client_ids 设备标识
     * @return true|false
     */
    public static boolean sendMessage(String title, String text, List<String> client_ids) {
        // 设置后，根据别名推送，会返回每个cid的推送结果
        IGtPush push = new IGtPush(host, appKey, masterSecret);
        NotificationTemplate template = getNotificationTemplate(title, text);
        ListMessage message = new ListMessage();
        message.setOffline(true);
        // 离线有效时间，单位为毫秒
        message.setOfflineExpireTime(24 * 3600 * 1000);
        message.setData(template);
        // 可选，1为wifi，0为不限制网络环境。根据手机处于的网络情况，决定是否下发
        message.setPushNetWorkType(0);
        // 厂商通道下发策略
        message.setStrategyJson("{\"default\":4,\"ios\":4,\"st\":4}");
        List<Target> list = new ArrayList<>();
        for (String client_id : client_ids) {
            Target target = new Target();
            target.setAppId(appId);
            target.setClientId(client_id);
            list.add(target);
        }
        String contentId = push.getContentId(message);
        IPushResult ret = null;
        try {
            ret = push.pushMessageToList(contentId, list);
        } catch (RequestException e) {
            e.printStackTrace();
        }
        if (ret.getResponse().get("result").toString().equals("ok")) {
            return true;
        }
        System.out.println("消息推送:" + ret.getResponse().toString());
        return false;

    }
    public static void asd(){
        IGtPush push = new IGtPush(host, appKey, masterSecret);

        TransmissionTemplate t = new TransmissionTemplate();
        t.setAppId(appId);
        t.setAppkey(appKey);
        t.setTransmissionContent("{title:\"标题\",content:\"内容\",payload:\"自定义数据\"}");
        t.setTransmissionType(1);


        List<String> appIds = new ArrayList<String>();
        appIds.add(appId);

        // 定义"AppMessage"类型消息对象，设置消息内容模板、发送的目标App列表、是否支持离线发送、以及离线消息有效期(单位毫秒)
        AppMessage message = new AppMessage();
        message.setData(t);
        message.setAppIdList(appIds);
        message.setOffline(true);
        message.setOfflineExpireTime(1000 * 600);

        IPushResult ret = push.pushMessageToApp(message);
        System.out.println(ret.getResponse().toString());
    }

    public static void main(String[] args) {
        List<String>list=new ArrayList<>();
        list.add("88d26b3633ca7d622704b473f6331487");
        list.add("4c5889ce0d7594141127eacb697b8007");
        boolean s = sendMessage("家族通知", "余东申请加入", list);
        System.out.println("ssss:" + s);
       ///asd();
    }

    private static NotificationTemplate getNotificationTemplate(String title, String text) {
        NotificationTemplate template = new NotificationTemplate();
        //设置APPID与APPKEY
        template.setAppId(appId);
        template.setAppkey(appKey);


        Style0 style = new Style0();
        // 设置通知栏标题与内容
        style.setTitle(title);
        style.setText(text);
        // 设置通知是否响铃，震动，或者可清除
        style.setRing(true);
        style.setVibrate(true);
        style.setClearable(true);
        style.setChannelLevel(3); //设置通知渠道重要性
        template.setStyle(style);

        template.setTransmissionType(1);  // 透传消息接受方式设置，1：立即启动APP，2：客户端收到消息后需要自行处理
        JSONObject obj=new JSONObject();
        obj.put("title",title);
        obj.put("text",text);
        template.setTransmissionContent(obj.toJSONString());

        return template;
    }
}
