package com.ruoyi.common.utils;

import com.dd.plist.NSDictionary;
import com.dd.plist.NSString;
import com.dd.plist.PropertyListParser;
import net.dongliu.apk.parser.ApkFile;
import net.dongliu.apk.parser.bean.ApkMeta;

import java.io.*;
import java.util.HashMap;
import java.util.Map;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class ReadAPPUtil {
    /**
     * 读取apk
     *
     * @param apkUrl
     * @return
     */
    public static Map<String, Object> readAPK(File apkUrl) {
        Map<String, Object> resMap = new HashMap<String, Object>();
        try (ApkFile apkFile = new ApkFile(apkUrl)) {
            ApkMeta apkMeta = apkFile.getApkMeta();
            //app名称
            resMap.put("name", apkMeta.getName());
            //包名
            resMap.put("packageName", apkMeta.getPackageName());
            //版本号
            resMap.put("versionCode", apkMeta.getVersionCode());
            //版本名
            resMap.put("versionName", apkMeta.getVersionName());
//            for (UseFeature feature : apkMeta.getUsesFeatures()) {
//                System.out.println(feature.getName());
//            }
            resMap.put("code", "0");
            resMap.put("error", "ok");
        } catch (IOException e) {
            e.printStackTrace();
            resMap.put("code", "-1");
            resMap.put("error", "读取apk文件失败");
        }
        return resMap;

    }

    /**
     * 读取ipa
     */
    public static Map<String, Object> readIPA(File ipaURL) {
        Map<String, Object> map = new HashMap<String, Object>();
        try {

            InputStream is = new FileInputStream(ipaURL);
            InputStream is2 = new FileInputStream(ipaURL);
            ZipInputStream zipIns = new ZipInputStream(is);
            ZipInputStream zipIns2 = new ZipInputStream(is2);
            ZipEntry ze;
            ZipEntry ze2;
            InputStream infoIs = null;
            NSDictionary rootDict = null;
            String icon = null;
            while ((ze = zipIns.getNextEntry()) != null) {
                if (!ze.isDirectory()) {
                    String name = ze.getName();
                    if (null != name &&
                            name.toLowerCase().contains(".app/info.plist")) {
                        ByteArrayOutputStream _copy = new
                                ByteArrayOutputStream();
                        int chunk = 0;
                        byte[] data = new byte[1024];
                        while (-1 != (chunk = zipIns.read(data))) {
                            _copy.write(data, 0, chunk);
                        }
                        infoIs = new ByteArrayInputStream(_copy.toByteArray());
                        rootDict = (NSDictionary) PropertyListParser.parse(infoIs);

                        //我们可以根据info.plist结构获取任意我们需要的东西
                        //比如下面我获取图标名称，图标的目录结构请下面图片
                        //获取图标名称
//                        NSDictionary iconDict = (NSDictionary) rootDict.get("CFBundleIcons");
//
//                        while (null != iconDict) {
//                            if(iconDict.containsKey("CFBundlePrimaryIcon")){
//                                NSDictionary CFBundlePrimaryIcon = (NSDictionary)iconDict.get("CFBundlePrimaryIcon");
//                                if(CFBundlePrimaryIcon.containsKey("CFBundleIconFiles")){
//                                    NSArray CFBundleIconFiles =(NSArray)CFBundlePrimaryIcon.get("CFBundleIconFiles");
//                                    icon = CFBundleIconFiles.getArray()[0].toString();
//                                    if(icon.contains(".png")){
//                                        icon = icon.replace(".png", "");
//                                    }
//                                    System.out.println("获取icon名称:" + icon);
//                                    break;
//                                }
//                            }
//                        }
                        break;
                    }
                }
            }

            //根据图标名称下载图标文件到指定位置
//            while ((ze2 = zipIns2.getNextEntry()) != null) {
//                if (!ze2.isDirectory()) {
//                    String name = ze2.getName();
//                    System.out.println(name);
//                    if(name.contains(icon.trim())){
//                        System.out.println(11111);
//                        FileOutputStream fos = new FileOutputStream(new File("E:\\python\\img\\icon.png"));
//                        int chunk = 0;
//                        byte[] data = new byte[1024];
//                        while(-1!=(chunk=zipIns2.read(data))){
//                            fos.write(data, 0, chunk);
//                        }
//                        fos.close();
//                        break;
//                    }
//                }
//            }

            ////////////////////////////////////////////////////////////////
            //如果想要查看有哪些key ，可以把下面注释放开
//            for (String keyName : rootDict.allKeys()) {
//				System.out.println(keyName + ":" + rootDict.get(keyName).toString());
//			  }


            //app名称
            NSString parameters = (NSString) rootDict.objectForKey("CFBundleName");
            map.put("name", parameters.toString());


            // 应用包名
            parameters = (NSString) rootDict.get("CFBundleIdentifier");
            map.put("packageName", parameters.toString());

            //应用版本号
            parameters = (NSString) rootDict.get("CFBundleVersion");
            map.put("versionCode", parameters.toString());
            // 应用版本名
            parameters = (NSString) rootDict.objectForKey("CFBundleShortVersionString");
            map.put("versionName", parameters.toString());

            map.put("code", "0");
            map.put("error", "ok");

            /////////////////////////////////////////////////
            infoIs.close();
            is.close();
            zipIns.close();

        } catch (Exception e) {
            map.put("code", "-1");
            map.put("error", "读取ipa文件失败");
        }
        return map;
    }


    public static void main(String[] args) {
//        ApkInfo apkInfo = new ApkInfo();
        System.out.println("======apk=========");
        String apkUrl = "E:/AndroidStudioProjects/misi/app/release/app-kks.apk";
        File f = new File(apkUrl);
        Map<String, Object> mapApk = ReadAPPUtil.readAPK(f);
        for (String key : mapApk.keySet()) {
            System.out.println(key + ":" + mapApk.get(key));
        }
        System.out.println("======ipa==========");
        String ipaUrl = "E:/AndroidStudioProjects/misi/app/release/app-kks.ipa";
        File f2 = new File(ipaUrl);
        Map<String, Object> mapIpa = ReadAPPUtil.readIPA(f2);
        for (String key : mapIpa.keySet()) {
            System.out.println(key + ":" + mapIpa.get(key));
        }
    }

}
