package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * app升级
 * 
 * @author luobo
 * @date 2020-10-28
 */
@Data
@ApiModel(value = "app升级")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_app_upgrade")
public class TAppUpgrade implements Serializable {

    private static final long serialVersionUID=1L;


    /** 系统id */
    @ApiModelProperty(value="系统id")
    @TableId(value = "id")
    private Long id;

    /** 应用名 */
    @ApiModelProperty(value="应用名")
    @Excel(name = "应用名")
    private String name;

    /** 包名 */
    @ApiModelProperty(value="包名")
    private String packageName;

    /** 版本 */
    @ApiModelProperty(value="版本")
    private String versionName;

    /** vCode */
    @ApiModelProperty(value="vCode")
    private String versionCode;

    /** 包大小(B) */
    @ApiModelProperty(value="包大小(B)")
    private Long size;

    /** 包后缀 */
    @ApiModelProperty(value="包后缀")
    private String suffix;

    /** 图标路径 */
    @ApiModelProperty(value="图标路径")
    @Excel(name = "图标路径")
    private String iconUrl;

    /** 升级方式 1、推荐升级 2、强制升级 */
    @ApiModelProperty(value="升级方式 1、推荐升级 2、强制升级")
    @Excel(name = "升级方式 1、推荐升级 2、强制升级")
    private Integer upgradeMode;

    /** 升级说明 */
    @ApiModelProperty(value="升级说明")
    @Excel(name = "升级说明")
    private String upgradeNote;

    /** 升级url */
    @ApiModelProperty(value="升级url")
    @Excel(name = "升级url")
    private String upgradeUrl;

    /** 升级包类型 1、整包 2、升级包 */
    @ApiModelProperty(value="升级包类型 1、整包 2、升级包")
    @Excel(name = "升级包类型 1、整包 2、升级包")
    private Integer upgradeType;

    /** 创建用户id */
    @ApiModelProperty(value="创建用户id")
    @Excel(name = "创建用户id")
    private Long userId;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /** 1、安卓 2、苹果 */
    @ApiModelProperty(value="1、安卓 2、苹果")
    @Excel(name = "1、安卓 2、苹果")
    private Integer platformType;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value="删除标志（0代表存在 1代表删除）")
    @TableLogic
    private String delFlag;
}
