package com.ruoyi.app.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * 会员对象 tb_app_user
 *
 * @author Administrator
 * @date 2020-09-29
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_app_user")
public class TbAppUser implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @TableId(value = "id")
    private Long id;

    /** 是否已经加入家族 1是 0否 */
    @Excel(name = "是否已经加入家族 1是 0否")
    private String joins;

    /** 页面模板id */
    @Excel(name = "页面模板id")
    private Long templateId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 头像url */
    @Excel(name = "头像url")
    private String avatar;

    /** 二维码code */
    @Excel(name = "二维码code")
    private String qrcode;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobile;

    /** openid */
    @Excel(name = "openid")
    private String openid;

    /** verCode */
    @Excel(name = "verCode")
    private String verCode;

    /** 启用  1是 0否 */
    @Excel(name = "启用  1是 0否")
    private String enable;

    /** 删除  1是 0否 */
    @Excel(name = "删除  1是 0否")
    private String deleted;

    private String loginIp;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    private String pyCode;
    private String pyFirst;
    private String clientId;

    /** 接收消息  1是 0否 */
    private String receive;

    /** 创建者 */
    private Long createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private Long updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
