package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族对象 tb_family
 * 
 * @author Alex
 * @date 2020-09-28
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_family")
public class TbFamily extends BaseEntity {

    /** 主键 */
    @ApiModelProperty(value="主键")
    @TableId(value = "id")
    private Long id;

    /** 家族ID */
    @ApiModelProperty(value="家族ID")
    @Excel(name = "家族ID")
    private String code;

    /** 姓氏 */
    @ApiModelProperty(value="姓氏")
    @Excel(name = "姓氏")
    private String name;

    /** 家族全称 */
    @ApiModelProperty(value="家族全称")
    @Excel(name = "家族全称")
    private String fullName;

    /** 祖籍 */
    @ApiModelProperty(value="祖籍")
    @Excel(name = "祖籍")
    private String hometown;

    /** 所在城市 */
    @ApiModelProperty(value="所在城市")
    @Excel(name = "所在城市")
    private String city;

    /** 家族地址编码 */
    @ApiModelProperty(value="家族地址编码")
    @Excel(name = "家族地址编码")
    private String addressCode;
    /** 家族地址 */
    @ApiModelProperty(value="家族地址")
    @Excel(name = "家族地址")
    private String address;

    /** 家族描述 */
    @ApiModelProperty(value="家族描述")
    @Excel(name = "家族描述")
    private String contents;

    /** 家族头像url */
    @ApiModelProperty(value="家族头像url")
    @Excel(name = "家族头像url")
    private String avatar;

    /** 是否族长  Y是  N否 */
    @ApiModelProperty(value="是否创建者 Y是  N否")
    @TableField(exist = false)
    private String patriarchName;
}
