package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族大事件
 * 
 * @author liuhj
 * @date 2020-10-14
 */
@Data
@ApiModel(value = "家族大事件")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_family_events")
public class TbFamilyEvents implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @ApiModelProperty(value="ID")
    @TableId(value = "id")
    private Long id;

    /** 家族id */
    @ApiModelProperty(value="家族id")
    @Excel(name = "家族id")
    private Long familyId;

    /** 事件标题 */
    @ApiModelProperty(value="事件标题")
    @Excel(name = "事件标题")
    private String title;

    /** 事件内容 */
    @ApiModelProperty(value="事件内容")
    @Excel(name = "事件内容")
    private String contents;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value = "家族信息")
    @TableField(exist = false)
    private TbFamily family;

    /**
     * 图片列表
     */
    @ApiModelProperty(value="图片列表")
    @TableField(exist = false)
    private List<TbEventsImg> imgList;
}
