package com.ruoyi.app.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 信息反馈
 * 
 * @author liuhj
 * @date 2020-10-20
 */
@Data
@ApiModel(value = "信息反馈")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_feedbackinfo")
public class TbFeedbackinfo implements Serializable {

    private static final long serialVersionUID=1L;


    /** id */
    @ApiModelProperty(value="id")
    @TableId(value = "id")
    private Long id;

    /** 反馈标题 */
    @ApiModelProperty(value="反馈标题")
    @Excel(name = "反馈标题")
    private String title;

    /** 反馈内容 */
    @ApiModelProperty(value="反馈内容")
    @Excel(name = "反馈内容")
    private String contents;

    /** 提交人ID */
    @ApiModelProperty(value="提交人ID")
    @Excel(name = "提交人ID")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 反馈意见 */
    @ApiModelProperty(value="反馈意见")
    @Excel(name = "反馈意见")
    private String opinions;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;
}
