package com.ruoyi.app.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族园地图片
 * 
 * @author liuhj
 * @date 2020-10-22
 */
@Data
@ApiModel(value = "家族园地图片")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_garden_img")
public class TbGardenImg implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @ApiModelProperty(value="ID")
    @TableId(value = "id")
    private Long id;

    /** 园地id */
    @ApiModelProperty(value="园地id")
    @Excel(name = "园地id")
    private Long gardenId;

    /** 园地图片 */
    @ApiModelProperty(value="园地图片")
    @Excel(name = "园地图片")
    private String url;
}
