package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族/成员
 * 
 * @author Alex
 * @date 2020-10-08
 */
@Data
@ApiModel(value = "家族/成员")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_member_middle")
public class TbMemberMiddle implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 成员id */
    @ApiModelProperty(value="成员id")
    @Excel(name = "成员id")
    private Long memberId;

    /** 家族id */
    @ApiModelProperty(value="家族id")
    @Excel(name = "家族id")
    private Long familyId;

    /** 是否管理员  Y是  N否 */
    @ApiModelProperty(value="是否管理员  Y是  N否")
    @Excel(name = "是否管理员  Y是  N否")
    private String admin;

    /** 父成员id */
    @ApiModelProperty(value="父成员id(第一辈为0)")
    @Excel(name = "父成员id")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long parentId;

    /** 申请状态 1申请 2同意 3拒绝 */
    @ApiModelProperty(value="申请状态 1申请 2同意 3拒绝")
    @Excel(name = "申请状态")
    private String status;

    /** 是否默认  Y是  N否 */
    @ApiModelProperty(value="是否默认  Y是  N否")
    @Excel(name = "是否默认  Y是  N否")
    private String acquiesce;

    /** 是否族长  Y是  N否 */
    @ApiModelProperty(value="是否族长 Y是  N否")
    @Excel(name = "是否族长 Y是  N否")
    private String patriarch;

    /** 第几代 */
    @ApiModelProperty(value="第几代")
    @Excel(name = "第几代")
    private Integer generation;

    @ApiModelProperty(value="姓名")
    @TableField(exist = false)
    private String name;

    @ApiModelProperty(value="昵称")
    @TableField(exist = false)
    private String nickName;

    @ApiModelProperty(value="头像url")
    @TableField(exist = false)
    private String avatar;

    @ApiModelProperty(value="配偶 会员id")
    @TableField(exist = false)
    private Long spouseUserId;

    @ApiModelProperty(value="手机号")
    @TableField(exist = false)
    private String mobile;

    @ApiModelProperty(value="性别编号")
    @TableField(exist = false)
    private String gender;

    @TableField(exist = false)
    private List<TbMemberMiddle> child;
}
