package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的好友
 * 
 * @author Alex
 * @date 2020-10-05
 */
@Data
@ApiModel(value = "我的好友")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_my_friends")
public class TbMyFriends extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty(value="主键ID")
    @TableId(value = "id")
    private Long id;

    /** 个人id */
    @ApiModelProperty(value="个人id")
    @Excel(name = "个人id")
    private Long appUserId;

    /** 好友id */
    @ApiModelProperty(value="好友id")
    @Excel(name = "好友id")
    private Long friendsUserId;

    /** 状态： 1申请 2已通过 3未通过 */
    @ApiModelProperty(value="状态： 1申请 2已通过 3未通过")
    @Excel(name = "状态： 1申请 2已通过 3未通过")
    private String status;

    @ApiModelProperty(value="昵称")
    @TableField(exist = false)
    private String nickName;
    @TableField(exist = false)
    private String pyCode;
    @TableField(exist = false)
    private String pyFirst;
    @ApiModelProperty(value="头像")
    @TableField(exist = false)
    private String avatar;

}
