package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人详情
 * 
 * @author Administrator
 * @date 2020-10-11
 */
@Data
@ApiModel(value = "个人详情")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_my_profile")
public class TbMyProfile implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value="会员id")
    @Excel(name = "会员id")
    private Long appUserId;

    @ApiModelProperty(value="标题")
    @Excel(name = "标题")
    private String title;

    @ApiModelProperty(value="内容")
    @Excel(name = "内容")
    private String cotents;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;

    /** 图片列表 */
    @ApiModelProperty(value="图片列表")
    @TableField(exist = false)
    private List<TbProfileImg> imgList;
}
