package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的近况（发表）
 *
 * @author Alex
 * @date 2020-10-02
 */
@Data
@ApiModel(value = "我的近况（发表）")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_my_publish")
public class TbMyPublish extends BaseEntity {

    /** 主键id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 会员id */
    @ApiModelProperty(value="会员id")
    @Excel(name = "会员id")
    private Long appUserId;

    /** 成员id */
    @ApiModelProperty(value="成员id")
    @TableField(exist = false)
    private Long memberId;

    /** 发表内容 */
    @ApiModelProperty(value="发表内容")
    @Excel(name = "发表内容")
    private String contents;

    /** 纪念留言 */
    @ApiModelProperty(value="纪念留言")
    @Excel(name = "纪念留言")
    private String message;

    /** 留念人 */
    @ApiModelProperty(value="留念人")
    @Excel(name = "留念人")
    private Long messageUserId;

    /** 是否删除 */
    @ApiModelProperty(value="是否删除 Y是 N否")
    private String deleted;

    /**
     * 图片列表
     */
    @ApiModelProperty(value="图片列表")
    @TableField(exist = false)
    private List<TbPublishImg> imgList;

    @ApiModelProperty(value="评论列表")
    @TableField(exist = false)
    private List<TbPublishComment> commentList;

    @ApiModelProperty(value="点赞列表")
    @TableField(exist = false)
    private List<TbPublishThumbs> thumbsList;
    /**
     * 评论数
     */
    @ApiModelProperty(value="评论数")
    @TableField(exist = false)
    private int comments;
    /**
     * 点赞数
     */
    @ApiModelProperty(value="点赞数")
    @TableField(exist = false)
    private int thumbs;
    /**
     * 纪念留言人
     */
    @ApiModelProperty(value="纪念留言人")
    @TableField(exist = false)
    private String messageUser;

    @ApiModelProperty(value="留念前缀")
    @TableField(exist = false)
    private String messageContent;

    @ApiModelProperty(value="纪念留言人头像")
    @TableField(exist = false)
    private String messageUserAvatar;

    @ApiModelProperty(value="会员头像")
    @TableField(exist = false)
    private String avatar;
    @ApiModelProperty(value="会员昵称")
    @TableField(exist = false)
    private String nickName;

    @ApiModelProperty(value="姓名")
    @TableField(exist = false)
    private String name;

    @ApiModelProperty(value="家族id")
    @TableField(exist = false)
    private String familyId;

}
