package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 资讯
 *
 * @author lsw
 * @date 2020-10-12
 */
@Data
@ApiModel(value = "资讯")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_news")


public class TbNews extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id")
    private Long id;

    /**
     * 资讯标题
     */
    @ApiModelProperty(value = "资讯标题")
    @Excel(name = "资讯标题")
    private String title;

    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    @Excel(name = "封面图")
    private String pic;

    /**
     * 资讯内容
     */
    @ApiModelProperty(value = "资讯内容")
    @Excel(name = "资讯内容")
    private String contents;

    /**
     * 内容摘要
     */
    @ApiModelProperty(value = "内容摘要（截取富文本前100个字）")
    @Excel(name = "内容摘要（截取富文本前100个字）")
    private String descs;

    /**
     * 阅读量
     */
    @ApiModelProperty(value = "阅读量")
    @Excel(name = "阅读量")
    private Long views;

    /**
     * 状态 （ 0启用，1停用）
     */
    @ApiModelProperty(value = "状态 （ 0启用，1停用）")
    @Excel(name = "状态 ", readConverterExp = "0=启用，1停用")
    private Integer state;
}
