package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的近况评论
 * 
 * @author Administrator
 * @date 2020-10-03
 */
@Data
@ApiModel(value = "我的近况评论")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_publish_comment")
public class TbPublishComment implements Serializable {

    private static final long serialVersionUID=1L;

    /** id */
    @ApiModelProperty(value="id")
    @TableId(value = "id")
    private Long id;

    /** 近况id */
    @ApiModelProperty(value="近况id")
    @Excel(name = "近况id")
    private Long publishId;

    /** 评论人id */
    @ApiModelProperty(value="评论人id")
    @Excel(name = "评论人id")
    private Long appUserId;

    @ApiModelProperty(value="评论人")
    @TableField(exist = false)
    private String appUser;
    @ApiModelProperty(value="评论人头像")
    @TableField(exist = false)
    private String appUserUrl;

    /** 内容 */
    @ApiModelProperty(value="内容")
    @Excel(name = "内容")
    private String contents;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private String createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private String updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;
}
