package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的近况点赞记录
 * 
 * @author Administrator
 * @date 2020-10-03
 */
@Data
@ApiModel(value = "我的近况点赞记录")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_publish_thumbs")
public class TbPublishThumbs implements Serializable {

    private static final long serialVersionUID=1L;


    /** $column.columnComment */
    @ApiModelProperty(value="$column.columnComment")
    @TableId(value = "id")
    private Long id;

    /** 近况id */
    @ApiModelProperty(value="近况id")
    @Excel(name = "近况id")
    private Long publishId;

    /** 点赞人id */
    @ApiModelProperty(value="点赞人id")
    @Excel(name = "点赞人id")
    private Long appUserId;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private String createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private String updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;

    @ApiModelProperty(value="点赞人")
    @TableField(exist = false)
    private String appUserName;
}
