package com.ruoyi.app.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("升级返回")
public class AppUpgradeVo {
    @ApiModelProperty("升级标志 1：需要升级；0：无需升级 ")
    private Integer status;

    /**
     * 版本
     */
    @ApiModelProperty("升级版本名")
    private String versionName;
    /**
     * vCode
     */
    @ApiModelProperty("升级版本号")
    private String versionCode;
    /**
     * 包大小(b)
     */
    @ApiModelProperty("升级包大小(B)")
    private Long size;

    /**
     * 升级方式 1、推荐升级 2、强制升级
     */
    @ApiModelProperty("升级方式 1、推荐升级 2、强制升级")
    private Integer upgradeMode;
    /**
     * 升级说明
     */
    @ApiModelProperty("升级说明\\n换行")
    private String upgradeNote;
    /**
     * 升级url
     */
    @ApiModelProperty("升级url")
    private String upgradeUrl;
    /**
     * 升级包类型 1、整包 2、升级包
     */
    @ApiModelProperty("升级包类型 1、整包 2、升级包")
    private Integer upgradeType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("上传时间")
    private Date createDate;
}
