package com.ruoyi.app.family.album.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.app.domain.TbFamily;
import com.ruoyi.common.validator.group.AddGroup;
import com.ruoyi.common.validator.group.Group;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 家族相簿
 * 
 * @author luobo
 * @date 2020-10-12
 */
@Data
@ApiModel(value = "家族相簿")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_family_album")
public class TbFamilyAlbum implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @ApiModelProperty(value="ID")
    @TableId(value = "id")
    private Long id;

    /** 家族id */
    @ApiModelProperty(value="家族id")
    @NotNull(message = "家族id不能为空")
    @NotNull(message = "家族id不能为空",groups = Group.class)
    @Excel(name = "家族id")
    private Long familyId;

    /** 相簿标题名称 */
    @ApiModelProperty(value="相簿标题名称")
    @NotNull(message = "相簿标题名称不能为空",groups = Group.class)
    @Excel(name = "相簿标题名称")
    private String title;

    /** 相簿描述 */
    @ApiModelProperty(value="相簿描述")
    @Excel(name = "相簿描述")
    private String contents;

    /** 默认图片url(应该获取第一张图片作为默认) */
    @ApiModelProperty(value="默认图片url(应该获取第一张图片作为默认)")
    @Excel(name = "默认图片url(应该获取第一张图片作为默认)")
    private String url;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;

    /** 状态 */
    @ApiModelProperty(value="状态")
    @Excel(name = "状态")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value="删除标志（0代表存在 1代表删除）")
    @TableLogic
    private String delFlag;

    @ApiModelProperty(value = "家族信息")
    @TableField(exist = false)
    private TbFamily family;

    @ApiModelProperty(value = "相簿图片数量")
    @TableField(exist = false)
    private Integer photoCount;
}
