package com.ruoyi.app.family.photo.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.app.domain.TbFamily;
import com.ruoyi.app.family.album.domain.TbFamilyAlbum;
import com.ruoyi.common.validator.group.Group;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 家族相簿照片
 * 
 * @author luobo
 * @date 2020-10-14
 */
@Data
@ApiModel(value = "家族相簿照片")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_family_photo")
public class TbFamilyPhoto implements Serializable {

    private static final long serialVersionUID=1L;


    /** ID */
    @ApiModelProperty(value="ID")
    @TableId(value = "id")
    private Long id;

    /** 家族 */
    @ApiModelProperty(value="家族")
    @Excel(name = "家族")
    @NotNull(message = "家族id不能为空",groups = Group.class)
    private Long familyId;

    /** 相簿 */
    @ApiModelProperty(value="相簿")
    @Excel(name = "相簿")
    @NotNull(message = "相簿id不能为空")
    @NotNull(message = "相簿id不能为空",groups = Group.class)
    private Long albumId;

    /** 标题 */
    @ApiModelProperty(value="标题")
    @Excel(name = "标题")
    private String title;

    /** url */
    @ApiModelProperty(value="url")
    @Excel(name = "url")
    @NotNull(message = "图片url不能为空",groups = Group.class)
    private String url;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;

    /** 状态 */
    @ApiModelProperty(value="状态")
    @Excel(name = "状态")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value="删除标志（0代表存在 1代表删除）")
    @TableLogic
    private String delFlag;

    @ApiModelProperty(value = "家族信息")
    @TableField(exist = false)
    private TbFamily family;

    @ApiModelProperty(value = "相簿信息")
    @TableField(exist = false)
    private TbFamilyAlbum album;

}
