package com.ruoyi.app.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.app.domain.TbAppUser;
import com.ruoyi.app.domain.TbMyPublish;
import com.ruoyi.app.domain.vo.AppMemberVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员Mapper接口
 *
 * @author Alex
 * @date 2020-09-24
 */
public interface TbAppUserMapper extends BaseMapper<TbAppUser> {

    /**
     * 查询会员+家族成员列表
     * @param type  user:左关联app_user表，member:右关联family_member表
     * @param enable 是否启用 1是 0否
     * @param search 根据昵称、手机号模糊查询
     * @param beginTime
     * @param endTime
     * @return
     */
    List<AppMemberVo> selectAppMembers(@Param("type") String type,
                                       @Param("enable") String enable,
                                       @Param("search") String search,
                                       @Param("beginTime") String beginTime,
                                       @Param("endTime") String endTime);

    List<AppMemberVo> selectMembers(@Param("type") String type,@Param("id") List<Long> ids);

    AppMemberVo getAppMember(@Param("type") String type, @Param("id") String id, @Param("search") String search);
}
