package com.ruoyi.app.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.TbFamilyMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app.domain.TbMemberMiddle;
import com.ruoyi.app.domain.vo.AppMemberVo;
import com.ruoyi.common.core.domain.AjaxResult;

import java.util.List;

/**
 * 家族成员Service接口
 *
 * @author Alex
 * @date 2020-09-29
 */
public interface ITbFamilyMemberService extends IService<TbFamilyMember> {

    AppMemberVo get(Long memberId);
    List<AppMemberVo> selectMemberList(LambdaQueryWrapper wrapper);
    AppMemberVo getMemberDetail(Long familyId, Long memberId);
    AjaxResult saveOrUpdate(AppMemberVo memberVo);
    List<AppMemberVo> myMemberList(LambdaQueryWrapper<AppMemberVo> lqw);
    List<AppMemberVo> selectFamilyMember(AppMemberVo memberVo);
    List<AppMemberVo> selectFamilyTree(AppMemberVo memberVo);
    List<AppMemberVo> selectMemberNotTree(AppMemberVo memberVo);
    List<AppMemberVo> selectMemberInTree(AppMemberVo memberVo);
    TbMemberMiddle getFamilyTree(Long familyId);
    boolean saveFamilyTree(TbMemberMiddle member);
    AjaxResult delMember(String familyId, Long[] ids);
    AjaxResult delToTree(Long memberId, Long familyId);
    AjaxResult edit(AppMemberVo memberVo);
    AjaxResult add(AppMemberVo member);
}
