package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.app.domain.dto.CheckAppForm;
import com.ruoyi.app.domain.vo.AppUpgradeVo;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TAppUpgradeMapper;
import com.ruoyi.app.domain.TAppUpgrade;
import com.ruoyi.app.service.ITAppUpgradeService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * app升级
 *
 * @author luobo
 * @date 2020-10-28
 */
@Service
public class TAppUpgradeServiceImpl extends ServiceImpl<TAppUpgradeMapper, TAppUpgrade> implements ITAppUpgradeService {


    @Override
    public AppUpgradeVo checkApp(CheckAppForm form) {
        LambdaQueryWrapper<TAppUpgrade> queryWrapper= new LambdaQueryWrapper<TAppUpgrade>()
                .eq(TAppUpgrade::getPackageName,form.getPackageName())
                .eq(TAppUpgrade::getPlatformType,form.getPlatformType());
        List<TAppUpgrade> list = list(queryWrapper);
        AppUpgradeVo upgradeVo = new AppUpgradeVo();
        if (list==null && list.size()<=0){
            //没有版本信息
            upgradeVo.setStatus(0);
            return upgradeVo;
        }


        Integer oldCode =Integer.parseInt(form.getVersionCode().replace(".","").replace("/","").replace("\\",""));


        Map<Integer,TAppUpgrade> data = new HashMap<>();

        Integer newCode = 0;

        TAppUpgrade newEntity = null;

        for (TAppUpgrade item :list){
            Integer code =Integer.parseInt(item.getVersionCode().replace(".","").replace("/","").replace("\\",""));
            if (code>oldCode && newCode < code){
                newCode = code;
                newEntity = item;
            }
        }
        if (newCode == 0){
            //没有版本信息
            upgradeVo.setStatus(0);
            return upgradeVo;
        }
        upgradeVo.setStatus(1);
        upgradeVo.setSize(newEntity.getSize());
        upgradeVo.setUpgradeMode(newEntity.getUpgradeMode());
        upgradeVo.setUpgradeNote(newEntity.getUpgradeNote());
        upgradeVo.setUpgradeType(newEntity.getUpgradeType());
        upgradeVo.setUpgradeUrl(newEntity.getUpgradeUrl());
        upgradeVo.setVersionCode(newEntity.getVersionCode());
        upgradeVo.setVersionName(newEntity.getVersionName());
        upgradeVo.setCreateDate(newEntity.getCreateTime());
        return upgradeVo;
    }
}
