package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.*;
import com.ruoyi.app.family.album.domain.TbFamilyAlbum;
import com.ruoyi.app.service.ITbEventsImgService;
import com.ruoyi.app.service.ITbFamilyService;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbFamilyEventsMapper;
import com.ruoyi.app.service.ITbFamilyEventsService;

import java.util.ArrayList;
import java.util.List;

/**
 * 家族大事件
 *
 * @author liuhj
 * @date 2020-10-14
 */
@Service
public class TbFamilyEventsServiceImpl extends ServiceImpl<TbFamilyEventsMapper, TbFamilyEvents> implements ITbFamilyEventsService {

    @Autowired
    private ITbEventsImgService eventsImgService;
    @Autowired
    private ITbFamilyService familyService;


    @Override
    public List<TbFamilyEvents> queryList(TbFamilyEvents events) {
        LambdaQueryWrapper<TbFamilyEvents> lqw = new LambdaQueryWrapper<TbFamilyEvents>().eq(TbFamilyEvents::getFamilyId, events.getFamilyId());
        if (StringUtils.isNotBlank(events.getTitle())){
            lqw.like(TbFamilyEvents::getTitle ,events.getTitle());
        }
        if (StringUtils.isNotBlank(events.getContents())){
            lqw.like(TbFamilyEvents::getContents ,events.getContents());
        }
        List<TbFamilyEvents> list = this.list(lqw);
        if (list.size() > 0) {
            list.forEach(item->{
                TbFamily family = familyService.getById(item.getFamilyId());
                item.setFamily(family);
            });

            list.forEach(item -> {
                List<TbEventsImg> imgList = eventsImgService.list(new LambdaQueryWrapper<TbEventsImg>().eq(TbEventsImg::getEventsId, item.getId()));
                item.setImgList(imgList);
            });
        }
        return list;
    }

    /**
     * 家族大事件详情
     *
     * @param id
     * @return
     */
    @Override
    public TbFamilyEvents getFamilyEvents(Long id) {
        TbFamilyEvents familyEvents = this.getById(id);
        if (familyEvents != null) {
            List<TbEventsImg> eventImgs = eventsImgService.list(new LambdaQueryWrapper<TbEventsImg>()
                    .in(TbEventsImg::getEventsId, id)
            );

            familyEvents.setImgList(eventImgs);
        }
        return familyEvents;
    }

    @Override
    public int deleteTbFamilyEventsByFamilyId(Long familyId) {
        return baseMapper.deleteTbFamilyEventsByFamilyId(familyId);
    }


}
