package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.*;
import com.ruoyi.app.service.ITbFamilyService;
import com.ruoyi.app.service.ITbGardenImgService;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbFamilyGardenMapper;
import com.ruoyi.app.service.ITbFamilyGardenService;

import java.util.ArrayList;
import java.util.List;

/**
 * 家族园地
 *
 * @author liuhj
 * @date 2020-10-14
 */
@Service
public class TbFamilyGardenServiceImpl extends ServiceImpl<TbFamilyGardenMapper, TbFamilyGarden> implements ITbFamilyGardenService {
    @Autowired
    private ITbGardenImgService gardenImgService;
    @Autowired
    private ITbFamilyService familyService;


    @Override
    public List<TbFamilyGarden> queryList(TbFamilyGarden entity) {
        LambdaQueryWrapper<TbFamilyGarden> lqw = new LambdaQueryWrapper<TbFamilyGarden>();
        if (StringUtils.isNotBlank(entity.getTitle())){
            lqw.like(TbFamilyGarden::getTitle ,entity.getTitle());
        }
        lqw.eq(TbFamilyGarden::getFamilyId, entity.getFamilyId());
        List<TbFamilyGarden> list = this.list(lqw);
        if (list.size() > 0) {
            list.forEach(item->{
                TbFamily family = familyService.getById(item.getFamilyId());
                item.setFamily(family);
            });

            list.forEach(item -> {
                // 加入图片列表
                List<TbGardenImg> imgList = gardenImgService.list(new LambdaQueryWrapper<TbGardenImg>().in(TbGardenImg::getGardenId, item.getId()));
                item.setImgList(imgList);
            });

        }
        return list;
    }

    /**
     * 家族园地详情
     *
     * @param id
     * @return
     */
    @Override
    public TbFamilyGarden getFamilyGarden(Long id) {
        TbFamilyGarden familyGarden = this.getById(id);
        if (familyGarden != null) {
            List<TbGardenImg> eventImgs = gardenImgService.list(new LambdaQueryWrapper<TbGardenImg>()
                    .in(TbGardenImg::getGardenId, id)
            );

            familyGarden.setImgList(eventImgs);
        }
        return familyGarden;
    }
}
