package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.pagehelper.PageHelper;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.page.TableSupport;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.sql.SqlUtil;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbMyFriendsMapper;
import com.ruoyi.app.domain.TbMyFriends;
import com.ruoyi.app.service.ITbMyFriendsService;

import java.util.List;

/**
 * 我的好友
 *
 * @author Alex
 * @date 2020-10-05
 */
@Service
public class TbMyFriendsServiceImpl extends ServiceImpl<TbMyFriendsMapper, TbMyFriends> implements ITbMyFriendsService {

    protected void startPage() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum() == null ? 1 : pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize() == null ? 10 : pageDomain.getPageSize();
        if (StringUtils.isNotNull(pageNum) && StringUtils.isNotNull(pageSize)) {
            String orderBy = SqlUtil.escapeOrderBySql(pageDomain.getOrderBy());
            PageHelper.startPage(pageNum, pageSize, orderBy);
        }
    }

    @Override
    public List<TbMyFriends> pageList(TbMyFriends tbMyFriends) {
        Long uid = null;
        String search = null;
        String status = null;
        if (tbMyFriends.getAppUserId() != null){
            uid = tbMyFriends.getAppUserId();
        }
        if (StringUtils.isNotBlank(tbMyFriends.getSearchValue())){
            search = tbMyFriends.getSearchValue();
        }
        if (StringUtils.isNotBlank(tbMyFriends.getStatus())){
            status = tbMyFriends.getStatus();
        }
        List<TbMyFriends> list = baseMapper.listFriends(uid,status,search);
        return list;
    }

    @Override
    public TbMyFriends getByUid(Long userId, Long friendId) {
        return baseMapper.selectOne(new LambdaQueryWrapper<TbMyFriends>()
                .eq(TbMyFriends::getAppUserId, userId)
                .eq(TbMyFriends::getFriendsUserId, friendId)
        );
    }

    @Override
    public List<TbMyFriends> selectApply(LambdaQueryWrapper<TbMyFriends> wrapper){
        return baseMapper.selectApply(wrapper);
    }

    @Override
    public int getApplyCount(Long userId) {
        List<TbMyFriends> friends = baseMapper.selectList(new LambdaQueryWrapper<TbMyFriends>()
                .eq(TbMyFriends::getFriendsUserId,userId)
                .eq(TbMyFriends::getStatus,"1")
        );
        return friends.size();
    }
}
