package com.ruoyi.app.shop.goods.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.ruoyi.app.shop.type.domain.TbGoodsType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品
 *
 * @author lishuwen
 * @date 2020-10-02
 */
@Data
@ApiModel(value = "商品")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_goods")
public class TbGoods extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID", hidden = true)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "商品类型ID")
    private Long typeId;

    @ApiModelProperty(value = "商品标题")
    @Excel(name = "商品标题")
    private String title;

    @ApiModelProperty(value = "商品价格", hidden = true)
    @Excel(name = "商品价格")
    private BigDecimal price;

   @ApiModelProperty(value = "图片", hidden = true)
    @Excel(name = "图片")
    private String pic;

    @ApiModelProperty(value = "销量", hidden = true)
    @Excel(name = "销量")
    private Long sells;

    @ApiModelProperty(value = "详情", hidden = true)
    private String details;

    @ApiModelProperty(value = "状态 （ 0 上架，1 下架）", hidden = true)
    @Excel(name = "状态 （ 0 上架，1 下架）")
    private Integer state;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TbGoodsType tbGoodsType;

}
