package com.ruoyi.app.shop.orders.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.app.domain.TbAppUser;
import com.ruoyi.app.shop.goods.domain.TbGoods;
import com.ruoyi.app.shop.type.domain.TbGoodsType;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单
 *
 * @author lsw
 * @date 2020-10-13
 */
@Data
@ApiModel(value = "订单")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_orders")
public class TbOrders extends BaseEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long appUserId;

    @ApiModelProperty(value = "商品id")
    @Excel(name = "商品id")
    private Long goodsId;

    @ApiModelProperty(value = "商品标题")
    @Excel(name = "商品标题")
    private String title;

    @ApiModelProperty(value = "支付金额")
    @Excel(name = "支付金额")
    private BigDecimal money;

    @ApiModelProperty(value = "购买数量")
    @Excel(name = "购买数量")
    private Long nums;

    @ApiModelProperty(value = "订单编号")
    @Excel(name = "订单编号")
    private String orderNum;

    @ApiModelProperty(value = "交易单号")
    @Excel(name = "交易单号")
    private String transactionId;

    @ApiModelProperty(value = "微信openid")
    @Excel(name = "微信openid")
    private String openId;

    @Excel(name = "调起支付Id")
    private String prepayId;

    @ApiModelProperty(value = "用户付款时间")
    @Excel(name = "用户付款时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date paySuccessTime;

    @ApiModelProperty(value = "取消订单时间")
    @Excel(name = "取消订单时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payCancelTime;

    @ApiModelProperty(value = "状态（-1 订单取消，0 创建订单，1 支付成功）")
    @Excel(name = "状态", readConverterExp = "状态（-1 订单取消，0 创建订单，1 支付成功）")
    private Integer state;

    @ApiModelProperty(value = "支付类型（0,微信支付，1,支付宝支付）")
    @Excel(name = "支付类型", readConverterExp = "支付类型（0,微信支付，1,支付宝支付）")
    private Integer payType;

    @Excel(name = "备注")
    private String notes;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TbGoods tbGoods;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TbAppUser tbAppUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String mobile;
}
