package com.ruoyi.app.shop.type.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 商品类型
 *
 * @author lishuwen
 * @date 2020-10-02
 */
@Data
@ApiModel(value = "商品类型")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_goods_type")
public class TbGoodsType extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    @TableId(value = "id")
    private Long id;

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    @Excel(name = "类型名称")
    private String name;

    @ApiModelProperty(value = "状态 （ 0启用，1停用）")
    @Excel(name = "状态 （ 0启用，1停用）")
    private Integer state;

}
