package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页留言内容
 * 
 * @author Administrator
 * @date 2020-10-21
 */
@Data
@ApiModel(value = "个人页留言内容")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_personal_message")
public class TPersonalMessage implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 干系人id */
    @ApiModelProperty(value="干系人id")
    @Excel(name = "干系人id")
    private Long appUserId;

    /** 个人页id */
    @ApiModelProperty(value="个人页id")
    @Excel(name = "个人页id")
    private Long personalId;

    /** 类型 1留言语 2留念语 3缅怀语 */
    @ApiModelProperty(value="类型 1留言语 2留念语 3缅怀语")
    @Excel(name = "类型 1留言语 2留念语 3缅怀语")
    private String type;

    /** 留言人 */
    @ApiModelProperty(value="留言人")
    @Excel(name = "留言人")
    private String name;

    /** 留言内容（选择内容模板） */
    @ApiModelProperty(value="留言内容（选择内容模板）")
    @Excel(name = "留言内容" , readConverterExp = "选=择内容模板")
    private String contents;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private Long createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private Long updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;
}
