package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页留言模板
 * 
 * @author Administrator
 * @date 2020-10-21
 */
@Data
@ApiModel(value = "个人页留言模板")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_personal_model")
public class TPersonalModel implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 类型 1留言语 2留念语 3缅怀语 */
    @ApiModelProperty(value="类型 1留言语 2留念语 3缅怀语")
    @Excel(name = "类型 1留言语 2留念语 3缅怀语")
    private String type;

    /** 留念内容 */
    @ApiModelProperty(value="留念内容")
    @Excel(name = "留念内容")
    private String contents;

    /** 是否启用 Y是 N否 */
    @ApiModelProperty(value="是否启用 Y是 N否")
    @Excel(name = "是否启用 Y是 N否")
    private String enable;
}
