package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页对象 t_personal_page
 * 
 * @author Alex
 * @date 2020-09-16
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_personal_page")
public class TPersonalPage implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键id */
    @TableId(value = "id")
    private Long id;

    /** 客户id（会员id） */
    @Excel(name = "客户id" , readConverterExp = "会员id")
    private Long customerId;

    /** 干系人id（会员id） */
    @Excel(name = "干系人id" , readConverterExp = "会员id")
    private Long stakeholderId;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String customer;

    /** 干系人姓名 */
    @Excel(name = "干系人姓名")
    private String stakeholder;

    /** 干系人生日 */
    @Excel(name = "干系人生日" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date stakeholderBirthday;

    /** 个人生平页url */
    @Excel(name = "个人生平页url")
    private String qrcodeUrl;

    /** 离世时间 */
    @Excel(name = "离世时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deathsDate;

    /** 头像url */
    @Excel(name = "头像url")
    private String avatar;

    /** 个人页模板id */
    @Excel(name = "个人页模板id")
    private Long templateId;

    /** 个人页内容 富文本 */
    @Excel(name = "个人页内容 富文本")
    private String content;

    /** 启用  0正常，1停用 */
    @Excel(name = "启用  0正常，1停用")
    private String enable;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
