package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页  视频
 * 
 * @author Alex
 * @date 2020-11-07
 */
@Data
@ApiModel(value = "个人页视频")
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_personal_video")
public class TPersonalVideo implements Serializable {

    private static final long serialVersionUID=1L;


    /** id */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id")
    private Long id;

    /** 个人id */
    @ApiModelProperty(value="个人id")
    @Excel(name = "个人id")
    private Long personalId;

    /** 视频url */
    @ApiModelProperty(value="视频url")
    @Excel(name = "视频url")
    private String url;

    /** 是否启用  0是  1否 */
    @ApiModelProperty(value="是否启用  0是  1否")
    @Excel(name = "是否启用  0是  1否")
    private String enable;

    /** 创建者 */
    @ApiModelProperty(value="创建者")
    private String createBy;

    /** 创建时间 */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value="更新者")
    private String updateBy;

    /** 更新时间 */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value="备注")
    @Excel(name = "备注")
    private String remark;
}
