package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页模板对象 t_template_page
 * 
 * @author Alex
 * @date 2020-09-16
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_template_page")
public class TTemplatePage implements Serializable {

    private static final long serialVersionUID=1L;

    /** 主键id */
    @TableId(value = "id")
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String title;

    /** 模板路由 */
    @Excel(name = "模板路由")
    private String route;

    /** 内容 富文本 */
    @Excel(name = "内容 富文本")
    private String content;

    /** 启用  0正常，1停用 */
    @Excel(name = "启用  0正常，1停用")
    private String enable;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
